%global githubname   libbpf
%global githubver    0.8.1
%global githubfull   %{githubname}-%{githubver}

Name:           %{githubname}
Version:        %{githubver}
Release:        2
Summary:        Libbpf library

License:        LGPLv2 or BSD
URL:            https://github.com/%{githubname}/%{githubname}
Source:         https://github.com/%{githubname}/%{githubname}/archive/refs/tags/v%{githubver}.tar.gz
BuildRequires:  gcc elfutils-libelf-devel elfutils-devel

#patches
Patch0000:      backport-libbpf-Fix-determine_ptr_size-guessing.patch

# This package supersedes libbpf from kernel-tools,
# which has default Epoch: 0. By having Epoch: 1
# this libbpf will take over smoothly
Epoch:          2

%description
A mirror of bpf-next linux tree bpf-next/tools/lib/bpf directory plus its
supporting header files. The version of the package reflects the version of
ABI.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = 2:%{version}-%{release}
Requires:       kernel-headers >= 5.10.0

%description devel
The %{name}-devel package contains libraries header files for
developing applications that use %{name}

%package static
Summary: Static library for libbpf development
Requires: %{name}-devel = 2:%{version}-%{release}

%description static
The %{name}-static package contains static library for
developing applications that use %{name}

%global make_flags DESTDIR=%{buildroot} OBJDIR=%{_builddir} CFLAGS="%{build_cflags} -fPIC" LDFLAGS="%{build_ldflags} -Wl,--no-as-needed" LIBDIR=/%{_libdir} NO_PKG_CONFIG=1

%prep
%autosetup -n %{githubfull} -p1

%build
%make_build -C ./src %{make_flags}

%install
%make_install -C ./src %{make_flags}

%files
%{_libdir}/libbpf.so.%{githubver}
%{_libdir}/libbpf.so.0

%files devel
%{_libdir}/libbpf.so
%{_includedir}/bpf/
%{_libdir}/pkgconfig/libbpf.pc

%files static
%{_libdir}/libbpf.a

%changelog
* Sat Nov 26 2022 zhangmingyi <zhangmingyi@huawei.com> -2:0.8.1-2
- libbpf.spec - modify Source address

* Tue Nov 8 2022 liuxin <liuxin350@huawei.com> - 2:0.8.1-1
- update libbpf from v0.3 to v0.8.1

* Wed Oct 26 2022 zhangmingyi <zhangmingyi5@huawei.com> - 2:0.3-3
- Fix determine_ptr_size() guessing

* Mon Aug 22 2022 hujiawang <hujiawang1@huawei.com> - 2:0.3-2
- change the package name

* Tue Dec 28 2021 sunsuwan <sunsuwan2@huawei.com> - 2:0.3-1
- update libbpf from v0.1.1 to v0.3


* Wed Oct 28 2020 hubble_zhu <hubble_zhu@qq.com> - 0.1.1-1
- update libbpf from v0.0.6 to v0.1.1

* Sun Apr 26 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.0.6-1
- Package init
